#!/bin/sh

JDBC_JAR=

BUNDLED_JAVA_HOME=

if [ ! -z "$BUNDLED_JAVA_HOME" ]; then
   JAVA_HOME=$BUNDLED_JAVA_HOME
fi

if [ -z "$JAVA_HOME" ]; then
  echo "Please, set JAVA_HOME before running this script."
  exit 1
fi

if [ -r setenv.sh ]; then
  . setenv.sh
elif [ -r bin/setenv.sh ]; then
  . bin/setenv.sh
else
  echo "Unable to find setenv.sh."
  exit 1
fi

# Uncomment the following line to enable remote debug
# JAVA_OPTS=$JAVA_OPTS -Xdebug -Xrunjdwp:transport=dt_socket,address=7777,server=y,suspend=n

# Uncomment the following line to enable remote JMX
# JAVA_OPTS=$JAVA_OPTS -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=3099 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false

echo CLASSPATH: "$CLASSPATH"
echo JAVA_OPTS: $JAVA_OPTS
"$JAVA_HOME/bin/java" $JAVA_OPTS -classpath "$CLASSPATH" com.funambol.pushlistener.service.PushListener  > /dev/null 2>&1 </dev/zero &

cd $CURRENT_DIR
